Module javafx.web
Package javafx.scene.web

## Class PromptData

- java.lang.Object
- - javafx.scene.web.PromptData

-     public final class PromptData
      extends Object

  This class encapsulates data passed into JavaScript `prompt()` function: a message and a default value. Instances are passed into `prompt` handlers registered on a `WebEngine` using `WebEngine.setPromptHandler(javafx.util.Callback<javafx.scene.web.PromptData, java.lang.String>)` method.
  Since:
    JavaFX 2.0
  See Also:
    `WebEngine`, `WebEngine.setPromptHandler(javafx.util.Callback<javafx.scene.web.PromptData, java.lang.String>)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PromptData​(String message, String defaultValue)` | Creates a new instance.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDefaultValue()` | Returns the default value carried by this data object.
    `String` | `getMessage()` | Returns the message carried by this data object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PromptData

          public PromptData​(String message,
                            String defaultValue)

      Creates a new instance.
      Parameters:
        `message` - the message carried by this data object
        `defaultValue` - the default value carried by this data object

  - ### Method Detail

    - #### getMessage

          public final String getMessage()

      Returns the message carried by this data object.
      Returns:
        the message

    - #### getDefaultValue

          public final String getDefaultValue()

      Returns the default value carried by this data object.
      Returns:
        the default value